• 765 Views

conflict bewteen two packages but cant figure it out...

Jump to solution

Host System: RHEL8

Guest Virtual System: RHEL8.5
Vmware Workstation: 16

was trying to do
dnf upgrade
after downloading all the packages the following conflict was thrown at me.

I tried removing python3 and lost the graphical unit and problem also remained the same.rhel8 package conflictrhel8 package conflict

 

Labels (1)
0 Kudos
1 Solution

Accepted Solutions
gdr
Mission Specialist
Mission Specialist
  • 615 Views

Hello, 

The "dnf upgrade" command try to upgrade the package system present in your environment.

The cause of the issue is a conflict between package.

From the first row of the log, i replace it in sequence:

file /usr/lib/python3.6/site-packages/__pycache__/easy_install.cpython-36.opt-1.pyc

from install of python3-setuptools-39.2.0-10.el7.noarch

conflicts with file from package

platform-python-setuptools-39.2.0-6.el8.noarch

The explanation is easy.

A file present in the package "python3-setuptools-39.2.0-10.el7.noarch", conflicts with the package "platform-python-setuptools-39.2.0-6.el8.noarch"

Please look the extension of the first package:

python3-setuptools-39.2.0-10.el7.noarch 

el7 = Red Hat Enteprise Linux 7

el8 = Red Hat Enteprise Linux 8

---

Conclusion:

Your upgrade fails because there is a conflict package version 7 VS version 8.

Potentially solution:

- Clear the cache of the system, please read the man before to procede (man dnf).

- Check the repository if is corrected configured.

- Try to procede with single dnf update.

- If in your system are present 3rd part package that can potentially conflict with the update, check how their influence the process.

Bye

G.

View solution in original post

3 Replies
gdr
Mission Specialist
Mission Specialist
  • 762 Views

Hello, 

I'm sorry but from the screenshot i can't see very well the conflict.

Please if is possible:

- Connect via ssh on the virtual machine

- Paste here the command that you use

- Run the command.

- Past here part of the output.

Thanks and bye

0 Kudos
  • 750 Views

command is
dnf upgrade

output is

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction test error:
file /usr/lib/python3.6/site-packages/__pycache__/easy_install.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/__pycache__/easy_install.cpython-36.pyc Running transaction check
Transaction check succeeded.
Running transaction testfrom install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/__pycache__/__init__.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/__pycache__/py31compat.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/__pycache__/py31compat.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/__init__.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/appdirs.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/appdirs.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/pyparsing.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/pyparsing.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/six.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/__pycache__/six.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/appdirs.py from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/__about__.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/__about__.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/__init__.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/_compat.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/_compat.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/_structures.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/_structures.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/markers.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/markers.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/requirements.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/requirements.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/specifiers.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/specifiers.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/utils.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/utils.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/version.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/_vendor/packaging/__pycache__/version.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/extern/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/pkg_resources/extern/__pycache__/__init__.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools-39.2.0.dist-info/METADATA from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools-39.2.0.dist-info/RECORD from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools-39.2.0.dist-info/WHEEL from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/__init__.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/archive_util.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/archive_util.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/build_meta.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/build_meta.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/config.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/config.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/dep_util.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/dep_util.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/depends.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/depends.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/dist.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/dist.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/extension.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/extension.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/glibc.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/glibc.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/glob.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/glob.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/launch.cpython-36.opt-1.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch
file /usr/lib/python3.6/site-packages/setuptools/__pycache__/launch.cpython-36.pyc from install of python3-setuptools-39.2.0-10.el7.noarch conflicts with file from package platform-python-setuptools-39.2.0-6.el8.noarch

0 Kudos
gdr
Mission Specialist
Mission Specialist
  • 616 Views

Hello, 

The "dnf upgrade" command try to upgrade the package system present in your environment.

The cause of the issue is a conflict between package.

From the first row of the log, i replace it in sequence:

file /usr/lib/python3.6/site-packages/__pycache__/easy_install.cpython-36.opt-1.pyc

from install of python3-setuptools-39.2.0-10.el7.noarch

conflicts with file from package

platform-python-setuptools-39.2.0-6.el8.noarch

The explanation is easy.

A file present in the package "python3-setuptools-39.2.0-10.el7.noarch", conflicts with the package "platform-python-setuptools-39.2.0-6.el8.noarch"

Please look the extension of the first package:

python3-setuptools-39.2.0-10.el7.noarch 

el7 = Red Hat Enteprise Linux 7

el8 = Red Hat Enteprise Linux 8

---

Conclusion:

Your upgrade fails because there is a conflict package version 7 VS version 8.

Potentially solution:

- Clear the cache of the system, please read the man before to procede (man dnf).

- Check the repository if is corrected configured.

- Try to procede with single dnf update.

- If in your system are present 3rd part package that can potentially conflict with the update, check how their influence the process.

Bye

G.

Join the discussion
You must log in to join this conversation.